Bug 149692 - CRASH: importing document from commandline
Summary: CRASH: importing document from commandline
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 beta1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.4.0.0.beta2 tar...
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2022-06-23 09:00 UTC by Xisco Faulí
Modified: 2022-06-28 09:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample file (336.52 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2022-06-23 09:00 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-06-23 09:00:26 UTC
Created attachment 180928 [details]
sample file

Steps to reproduce:
1. Open document like "instdir/program/soffice /home/xisco/Descargas/forum-mso-en-14071.docx"

-> Crash

Reproduced in

Version: 7.4.0.0.beta1+ / LibreOffice Community
Build ID: 6ab56a4fc946f6294513f23a3ea47aa0aa154b7d
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: tr-TR (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-06-23 09:01:41 UTC Comment hidden (obsolete)
Comment 2 Noel Grandin 2022-06-27 12:19:02 UTC
I don't see a crash on current master.
I do get an "Error reading file" dialog, however,

And if I build from the commit before 218f36dd614cf828e949f605faaf6a6fd615da26, I also get an "Error reading file" dialog.


????
Comment 3 Noel Grandin 2022-06-27 14:12:45 UTC
Noting that I do see an occasional crash (about one in 10 runs), but it happens both on current master and on the commit before the one mentioned here.
Comment 4 Xisco Faulí 2022-06-27 14:32:02 UTC
Hi Noel,
you are right, it crashes occasionally, my bad
Comment 5 Noel Grandin 2022-06-27 14:33:41 UTC
But found the bug anyway, fix here: https://gerrit.libreoffice.org/c/core/+/136500
Comment 6 Commit Notification 2022-06-27 16:24:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a15fe37bf1dc50fcf88cea9c0038b217119671b8

tdf#149692 crash importing document with vba forms

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-06-28 08:39:38 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/ef79ccd5bbd5fbc0f0c132c4fc5a48fcd1fbbc16

tdf#149692 crash importing document with vba forms

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-06-28 09:56:16 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/ff6e536111a966f465c4756cbfa74935752df612

tdf#149692 crash importing document with vba forms

It will be available in 7.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.